Package org.eclipse.emf.cdo.common.model

## Class EMFUtil.ExtResourceSet

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.common.notify.impl.NotifierImpl
    - - org.eclipse.emf.ecore.resource.impl.ResourceSetImpl
      - - org.eclipse.emf.cdo.common.model.EMFUtil.ExtResourceSet

- All Implemented Interfaces:
    `Notifier`, `ResourceSet`
  Enclosing class:
    EMFUtil

      public static class EMFUtil.ExtResourceSet
      extends ResourceSetImpl

  An extension of `ResourceSetImpl` that allows demandLoading of resources and delegation of resource lookups, to be switched on/off as desired.
  Since:
    4.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl

      `ResourceSetImpl.MappedResourceLocator, ResourceSetImpl.ResourceLocator, ResourceSetImpl.ResourcesEList<E extends java.lang.Object & Resource>`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl

      `adapterFactories, loadOptions, packageRegistry, resourceFactoryRegistry, resourceLocator, resources, uriConverter, uriResourceMap`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl

      `eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.resource.ResourceSet

      `RESOURCE_SET__RESOURCES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtResourceSet​(boolean delegating, boolean demandLoading)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Resource` | `delegatedGetResource​(URI uri, boolean loadOnDemand)` |
    `protected void` | `demandLoad​(Resource resource)` |
    `boolean` | `isDelegating()` |
    `boolean` | `isDemandLoading()` |
    `void` | `setDelegating​(boolean delegating)` |
    `void` | `setDemandLoading​(boolean demandLoading)` |

    - ### Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceSetImpl

      `createResource, createResource, demandCreateResource, demandLoadHelper, getAdapterFactories, getAllContents, getEObject, getLoadOptions, getPackageRegistry, getResource, getResourceFactoryRegistry, getResources, getURIConverter, getURIResourceMap, handleDemandLoadException, setPackageRegistry, setResourceFactoryRegistry, setURIConverter, setURIResourceMap, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl

      `eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Constructor Detail

    - #### ExtResourceSet

          public ExtResourceSet​(boolean delegating,
                                boolean demandLoading)

      Since:
        4.7

  - ### Method Detail

    - #### isDelegating

          public boolean isDelegating()

    - #### setDelegating

          public void setDelegating​(boolean delegating)

    - #### isDemandLoading

          public boolean isDemandLoading()

    - #### setDemandLoading

          public void setDemandLoading​(boolean demandLoading)

    - #### demandLoad

          protected void demandLoad​(Resource resource)
                             throws java.io.IOException

      Overrides:
        `demandLoad` in class `ResourceSetImpl`
      Throws:
        `java.io.IOException`

    - #### delegatedGetResource

          protected Resource delegatedGetResource​(URI uri,
                                                  boolean loadOnDemand)

      Overrides:
        `delegatedGetResource` in class `ResourceSetImpl`